package com.backendsys.utils;

import cn.hutool.core.util.ArrayUtil;

public class CustomArrayUtil {

    /**
     * 数组 转 字符串 [1,2,3] 转 "1,2,3"
     * String resolutionString = CustomArrayUtil.convertToString(aiGenerateVideoDTO.getResolution());
     */
    public static String convertToString(Object[] array) {
        // 分辨率 (转字符串)
        String str = ArrayUtil.toString(array);
        // 去除中括号 (小心java的substring是左闭右开的)
        str = str.substring(1, str.length() - 1);
        // 去除所有的空字符
        str = str.replaceAll("\\s", "");
        return str;
    }

}
